Skip to main content
PATCH
/
v1
/
competitor_prices
/
{entity_id}
Patch Competitor Price
curl --request PATCH \
  --url https://api.example.com/v1/competitor_prices/{entity_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_id": "<string>",
  "promo_price": 123,
  "currency": "<string>",
  "source_url": "<string>",
  "competitor_sku": "<string>",
  "barcode": "<string>",
  "status": "<string>",
  "stock_on_hand": 123,
  "competitor_name": "<string>",
  "observed_at": "2023-11-07T05:31:56Z",
  "regular_price": 123
}
'
import requests

url = "https://api.example.com/v1/competitor_prices/{entity_id}"

payload = {
"item_id": "<string>",
"promo_price": 123,
"currency": "<string>",
"source_url": "<string>",
"competitor_sku": "<string>",
"barcode": "<string>",
"status": "<string>",
"stock_on_hand": 123,
"competitor_name": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"regular_price": 123
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
item_id: '<string>',
promo_price: 123,
currency: '<string>',
source_url: '<string>',
competitor_sku: '<string>',
barcode: '<string>',
status: '<string>',
stock_on_hand: 123,
competitor_name: '<string>',
observed_at: '2023-11-07T05:31:56Z',
regular_price: 123
})
};

fetch('https://api.example.com/v1/competitor_prices/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "competitor_name": "<string>",
  "observed_at": "2023-11-07T05:31:56Z",
  "regular_price": "<string>",
  "item_id": "<string>",
  "promo_price": "<string>",
  "currency": "<string>",
  "source_url": "<string>",
  "competitor_sku": "<string>",
  "barcode": "<string>",
  "status": "<string>",
  "stock_on_hand": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity_id
integer
required

Body

application/json
item_id
string | null
promo_price
currency
string | null
source_url
string | null
competitor_sku
string | null
barcode
string | null
status
string | null
stock_on_hand
competitor_name
string | null
observed_at
string<date-time> | null
regular_price

Response

Successful Response

id
integer
required
competitor_name
string
required
observed_at
string<date-time>
required
regular_price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
item_id
string | null
promo_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
source_url
string | null
competitor_sku
string | null
barcode
string | null
status
string | null
stock_on_hand
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_at
string<date-time> | null
updated_at
string<date-time> | null